Create Product Listing
curl --request POST \
--url https://api.launchmystore.io/api/v1/product_listings.json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": {},
"external_id": "<string>"
}
'import requests
url = "https://api.launchmystore.io/api/v1/product_listings.json"
payload = {
"product_id": {},
"external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: {}, external_id: '<string>'})
};
fetch('https://api.launchmystore.io/api/v1/product_listings.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.launchmystore.io/api/v1/product_listings.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => [
],
'external_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.launchmystore.io/api/v1/product_listings.json"
payload := strings.NewReader("{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.launchmystore.io/api/v1/product_listings.json")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.launchmystore.io/api/v1/product_listings.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodySales Channels
Create Product Listing
Publish a product to your app’s sales channel
POST
/
api
/
v1
/
product_listings.json
Create Product Listing
curl --request POST \
--url https://api.launchmystore.io/api/v1/product_listings.json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": {},
"external_id": "<string>"
}
'import requests
url = "https://api.launchmystore.io/api/v1/product_listings.json"
payload = {
"product_id": {},
"external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: {}, external_id: '<string>'})
};
fetch('https://api.launchmystore.io/api/v1/product_listings.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.launchmystore.io/api/v1/product_listings.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => [
],
'external_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.launchmystore.io/api/v1/product_listings.json"
payload := strings.NewReader("{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.launchmystore.io/api/v1/product_listings.json")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.launchmystore.io/api/v1/product_listings.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": {},\n \"external_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyPublishes a product to your app’s
sales channel. Create the sales
channel first — the listing is attached to the channel resolved from your app
identity.
Publishing is idempotent: listing a product that is already listed returns
the existing listing (
200), reactivated if it was inactive and with
external_id updated when you send one. The body can be flat or wrapped in
{ "product_listing": { ... } }.
Auth: OAuth access token with the write_products scope.
Body Parameters
Request
{
"product_id": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"external_id": "fb_prod_98765"
}
Response
A bareproduct_listing object — 201 when created, 200 when the product
was already listed.
{
"product_listing": {
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"product_id": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"sales_channel_id": "0c1d2e3f-4a5b-4c6d-8e7f-9a0b1c2d3e4f",
"external_id": "fb_prod_98765",
"status": "active",
"sync_errors": null,
"last_sync_at": null,
"created_at": "2026-09-27T10:00:00.000Z",
"updated_at": "2026-09-27T10:00:00.000Z"
}
}
Errors
Errors are a standard{ "errors": { "base": [...] } } body.
| Status | Cause |
|---|---|
422 | product_id missing |
404 | No such product in this store, or your app has no sales channel yet |
403 | Token lacks the write_products scope |